package com.kdanmobile.kdan_others_library_for_android.card;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;

import com.kdanmobile.kdan_others_library_for_android.R;

public class AdonitCreativeStorePromoteCard extends LinearLayout {

    private Button viewNow;
    private OnClickListener onClickViewNowListener;
    private OnClickListener onClickImageListener;

    public AdonitCreativeStorePromoteCard(Context context) {
        super(context);
        initView();
    }

    public AdonitCreativeStorePromoteCard(Context context, AttributeSet attrs) {
        super(context, attrs);
        initView();
    }

    public AdonitCreativeStorePromoteCard(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        initView();
    }

    public void setButtonColor(int color) {
        viewNow.setTextColor(color);
    }

    private void initView() {
        View view = inflate(getContext(), R.layout.widget_adonit_creative_store_promote_card, this);
        viewNow = (Button) view.findViewById(R.id.button_promote_card_creative_store_view_now);
        ImageView imageView = (ImageView) view.findViewById(R.id.image_view_promote_card_creative_store_view);

        viewNow.setOnClickListener(view1 -> {
            if (onClickViewNowListener != null) {
                onClickViewNowListener.onClick(view1);
            }
        });

        imageView.setOnClickListener(view12 -> {
            if (onClickImageListener != null) {
                onClickImageListener.onClick(view12);
            }
        });
    }

    public void setOnClickViewNowListener(OnClickListener onClickViewNowListener) {
        this.onClickViewNowListener = onClickViewNowListener;
    }

    public void setOnClickImageListener(OnClickListener onClickImageListener) {
        this.onClickImageListener = onClickImageListener;
    }
}
